import { Command, CommandContribution, CommandRegistry, CommandService } from '@devpodio/core';
import { QuickOpenService } from '@devpodio/core/lib/browser/quick-open/quick-open-service';
import { QuickOpenModel, QuickOpenItem } from '@devpodio/core/lib/browser/quick-open/quick-open-model';
import { FileSystem } from '@devpodio/filesystem/lib/common';
import { PreferenceService } from '@devpodio/preferences/lib/browser';
import { CppBuildConfigurationManager } from './cpp-build-configurations';
import { EditorManager } from '@devpodio/editor/lib/browser';
export declare class CppBuildConfigurationChanger implements QuickOpenModel {
    protected readonly commandService: CommandService;
    protected readonly cppBuildConfigurations: CppBuildConfigurationManager;
    protected readonly editorManager: EditorManager;
    protected readonly fileSystem: FileSystem;
    protected readonly quickOpenService: QuickOpenService;
    protected readonly preferenceService: PreferenceService;
    readonly createItem: QuickOpenItem;
    readonly resetItem: QuickOpenItem;
    onType(lookFor: string, acceptor: (items: QuickOpenItem[]) => void): Promise<void>;
    open(): void;
    createConfig(): Promise<void>;
}
export declare const CPP_CATEGORY = "C/C++";
export declare const CPP_RESET_BUILD_CONFIGURATION: Command;
export declare const CPP_CREATE_NEW_BUILD_CONFIGURATION: Command;
export declare const CPP_CHANGE_BUILD_CONFIGURATION: Command;
export declare class CppBuildConfigurationsContributions implements CommandContribution {
    protected readonly cppChangeBuildConfiguration: CppBuildConfigurationChanger;
    protected readonly cppManager: CppBuildConfigurationManager;
    registerCommands(commands: CommandRegistry): void;
}
