import { TaskContribution, TaskProvider, TaskProviderRegistry, TaskResolver, TaskResolverRegistry } from '@devpodio/task/lib/browser/task-contribution';
import { CppBuildConfigurationManager, CppBuildConfiguration } from './cpp-build-configurations';
import { TaskConfiguration } from '@devpodio/task/lib/common/task-protocol';
interface CppBuildTaskConfiguration extends TaskConfiguration {
    config: CppBuildConfiguration;
}
export declare class CppTaskProvider implements TaskContribution, TaskProvider, TaskResolver {
    protected readonly taskResolverRegistry: TaskResolverRegistry;
    protected readonly cppBuildConfigurationManager: CppBuildConfigurationManager;
    registerProviders(registry: TaskProviderRegistry): void;
    registerResolvers(registry: TaskResolverRegistry): void;
    resolveTask(task: CppBuildTaskConfiguration): Promise<TaskConfiguration>;
    makeTaskConfiguration(config: CppBuildConfiguration): CppBuildTaskConfiguration | undefined;
    provideTasks(): Promise<CppBuildTaskConfiguration[]>;
}
export {};
